Bug 73356 - What module to use for QLogic HBA?
What module to use for QLogic HBA?
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks: 73353
  Show dependency treegraph
 
Reported: 2002-09-03 08:52 EDT by Nick (Gunnar) Bluth
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-09 16:24:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick (Gunnar) Bluth 2002-09-03 08:52:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
The kernel offers 3 modules, only one works...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install AS on a machine with QLogic 2300 HBA(s)
2. Anaconda chooses qla2300.o as driver
3. The HBA(s) switch(es) to FL_Port although in a fabric environment
	

Actual Results:  The HBA(s) switch(es) to FL_Port although in a fabric environment when using the Anaconda configured qla2300.o module.

Expected Results:  The HBA switches to F_Port when in a fabric environment (works with qla2x00.o).

Additional info:

The kernel offers three differnet modules:
qla2300.o (addon): see above
qla2300_new.o (addon): same result (btw: trying to activate debugging in settings.h failed to compile...)
qla2x00.o (vanilla tree): works perfectly

Why does Red Hat still maintain two (!) addon drivers if the vanilla kernel has one that works?
Comment 1 Tom Coughlan 2005-03-09 16:24:44 EST
(Just cleaning up an old bug.) 

The o.s. now defaults to the latest QLogic driver. Any non-default older drivers
that may be included in the kernel are there for customers who require the older
version, or experience a problem with the newer driver. Generally only one older
driver is maintained in the kernel.

Note You need to log in before you can comment on or make changes to this bug.